Bug 172044 - avahi-browse just sits there
avahi-browse just sits there
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: avahi (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-29 17:13 EDT by Michal Jaegermann
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-31 03:50:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2005-10-29 17:13:36 EDT
Description of problem:

An attempt of 'avahi-browse -a' or 'avahi-browse -a -d local' produces something
of that sort:

Browsing domain 'local' on any.0 ...
Browsing for services of type '_workstation._tcp' (Workstation) in domain
'local' on eth1.2 ...
Found service 'dyna0 [xx:xx:xx:xx:xx:xx]' of type '_workstation._tcp'
(Workstation) in domain 'local' on eth1.2.
Service data for service 'dyna0 [xx:xx:xx:xx:xx:xx]' of type '_workstation._tcp'
(Workstation) in domain 'local' on eth1.2:
	Host dyna0.local (192.168.yy.yy), port 9, TXT data:
['org.freedesktop.Avahi.cookie=2952226462']

output stops and nothing happens anymore.  One can only break-out with ctrl-C.
Is this really an exected behaviour?

Version-Release number of selected component (if applicable):
avahi-0.5.2-3

How reproducible:
always
Comment 1 Alexander Larsson 2005-10-31 03:50:12 EST
This is expected behaviour. mDNS is a long-running operation, and the app will
print any dynamic changes on the network.
Comment 2 Michal Jaegermann 2005-11-01 11:06:23 EST
Hm, maybe this behaviour is really expected but does that mean that zeroconf
attempts may also last for a very long time?  Does not sound overly useful.
Comment 3 Alexander Larsson 2005-11-03 05:10:02 EST
By definition they last indefinately, until you cancel them. That is part of the
design, which is to allow a dialog to keep displaying an up-to-date list of the
services availible on the network.

Note You need to log in before you can comment on or make changes to this bug.